import { QPQConfig, MatchStoryResult, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor } from 'quidproquo-core';
import { ExecuteServiceFunctionEvent } from 'quidproquo-webserver';
import { Context } from 'aws-lambda';
export type ServiceFunctionMatchStoryResult = MatchStoryResult<unknown, unknown>;
export type ServiceFunctionExecuteEventParams = [ExecuteServiceFunctionEvent<any>, Context];
export type TransformedServiceFunctionExecuteEventParams = ExecuteServiceFunctionEvent<any>;
export type ServiceFunctionExecuteEventResponse = any;
declare const _default: (qpqConfig: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<ServiceFunctionExecuteEventParams, TransformedServiceFunctionExecuteEventParams>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<any, TransformedServiceFunctionExecuteEventParams, any>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<any, ServiceFunctionMatchStoryResult, any>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<TransformedServiceFunctionExecuteEventParams, ServiceFunctionMatchStoryResult>;
};
export default _default;
